| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Layout.Master

Portability | unportable
Stability | unstable
Maintainer | <l.mai@web.de>

Contents

Usage

Description
A layout that adds a distinguished master window to a base layout.
Synopsis

mastered :: LayoutClass l a => Rational -> Rational -> l a -> Master l a
data Master l a

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.Master

and add something like

     mastered (1/100) (1/2) $ Grid

to your layouts. This will use the left half of your screen for a master window and let Grid manage the right half.

For more detailed instructions on editing the layoutHook see XMonad.Doc.Extending.

Like XMonad.Layout.Tall, `Master` supports the XMonad.Layout.Shrink and XMonad.Layout.Expand messages.

mastered | Source

:: LayoutClass l a |
=> Rational | `delta`, the ratio of the screen to resize by
-> Rational | `frac`, what portion of the screen to reserve for the master window
-> l a | the layout to use for the remaining windows
-> Master l a |

data Master l a | Source

Instances

LayoutClass l Window => LayoutClass (Master l) Window
Eq (l a) => Eq (Master l a)
Ord (l a) => Ord (Master l a)
Read (l a) => Read (Master l a)
Show (l a) => Show (Master l a)

Produced by Haddock version 2.4.2